BaseServlet (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images

## Class BaseServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.gcube.application.aquamaps.images.BaseServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
  Direct Known Subclasses:
    Maps, Monitor, Pics

      public abstract class BaseServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Common` | `common`
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
    `protected static int` | `getHSPECId(javax.servlet.http.HttpServletRequest req)`
    `protected static ProductType` | `getProductType(javax.servlet.http.HttpServletRequest req)`
    `protected static String` | `getScientificName(javax.servlet.http.HttpServletRequest req)`
    `protected abstract InputStream` | `handleRequest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
    `protected static boolean` | `hasScientificName(javax.servlet.http.HttpServletRequest req)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### common

          protected static Common common

  - ### Constructor Detail

    - #### BaseServlet

          public BaseServlet()

  - ### Method Detail

    - #### handleRequest

          protected abstract InputStream handleRequest(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse resp)
                                                throws IOException,
                                                       ImageNotFoundException,
                                                       InvalidRequestException,
                                                       Exception

      Throws:
        `IOException`
        `ImageNotFoundException`
        `InvalidRequestException`
        `Exception`

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest req,
                   javax.servlet.http.HttpServletResponse resp)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### hasScientificName

          protected static final boolean hasScientificName(javax.servlet.http.HttpServletRequest req)

    - #### getScientificName

          protected static final String getScientificName(javax.servlet.http.HttpServletRequest req)

    - #### getHSPECId

          protected static final int getHSPECId(javax.servlet.http.HttpServletRequest req)
                                         throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### getProductType

          protected static final ProductType getProductType(javax.servlet.http.HttpServletRequest req)
                                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2014. All Rights Reserved.